
I was flying past other car on freeway shoulder. Very dark outside, in open desert area. Saw chainlink fence to right, thought, well, at least I won't kill anybody else, and turned car into fence. As car spun through fence and about 270 degrees (so front wheels ended up running against edge of shoulder) with dust flying all around (on sand off freeway), suddenly was above my body, looking down. Saw interior of car, myself in driver's seat, dark outside of windows, but inside of car was a glowing golden light, and sensation was of absolute peacefulness and warmth. As tires hit edge of shoulder and car stopped, suddenly back in body and looking out window, dust still flying around, normal ambient lighting in car. Two CHP officers came to assistance, wasn't able to explain whether had fallen asleep in car earlier or what had happened. As it turned out, not too far ahead on shoulder of freeway was a stopped truck with no lights on that I would have plowed into if I had not spun off into fence.
